Bug 78472 - EDITING: Can not get visible selection button in freeze column with data validation while horizontal sheet scrolling
Summary: EDITING: Can not get visible selection button in freeze column with data vali...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Cell-Validity
  Show dependency treegraph
 
Reported: 2014-05-09 08:24 UTC by Denis
Modified: 2021-04-19 03:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file to test (14.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-09 21:39 UTC, m.a.riosv
Details
Yet another sample for testing. (7.61 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-11-25 12:54 UTC, Denis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis 2014-05-09 08:24:41 UTC
Problem description: I decided to report this bug by marios recommendation on my question at http://ask.libreoffice.org/en/question/33576/how-to-get-visible-selection-button-in-freeze-column-with-data-validation-while-horizontal-sheet-scrolling/

Steps to reproduce:

1. Freeze the first column.
2. Apply data validation based on cell range to it. Data selection button is shown right of the cell.
4. Scroll the sheet to right.

Current behavior: The button is disappeared.

Expected behavior: The selection button is visible. It is possible to move button into the cell.
Operating System: Ubuntu
Version: 4.2.3.3 release
Comment 1 m.a.riosv 2014-05-09 21:39:06 UTC
Created attachment 98780 [details]
Sample file to test

Hi Denis, thanks for reporting.

Reproducible:
Win7x64Ultimate
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
and with
AOO401m5(Build:9714)  -  Rev. 1524958 - 2013-09-20 11:40:29 (Fr, 20 Sep 2013)
Comment 2 QA Administrators 2015-06-08 14:41:22 UTC Comment hidden (obsolete)
Comment 3 Denis 2015-06-20 07:51:22 UTC
The bug is present. Version of LibreOffice is 4.4.3.2. Operating system is Ubuntu 15.04. There is no any changes I see in the bug behavior.
Comment 4 Jean-Baptiste Faure 2015-07-10 18:33:19 UTC
I do not reproduce the problem with the attached file if I remove the column freeze then redo it. The change is conserved if I save, close and reopen the file.
Tested with LO 4.4.6.0+ and LO 5.0.1.0+ both built at home under Ubuntu 15.04 x86-64.

Closing as WorksForMe. Please feel free to reopen if you disagree.

Best regards. JBF
Comment 5 Denis 2015-11-25 12:54:26 UTC
Created attachment 120788 [details]
Yet another sample for testing.

I hope this file will be suitable for reproducing the bug.
Comment 6 Denis 2015-11-25 14:16:49 UTC
To reproduce the bug open " Yet another sample for testing." from bug attachments.
You can see that "A" column is freezed and column "B" is not visible. Scroll sheet left so the "B" column be visible. Select "A1" cell. The dropdown menu button with down arrow is appeared the right of the "A1" cell in the "B1" cell. Follow that button while scrolling sheet right. The button and "B" column disappeared replaced by "C" column.
But expected behavior is the button will not disappear while will be present on all columns on right next to the frozen column.
The bug behavior does not depend on open, save or close file operations.
LO Version: 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: ru-RU (ru.UTF-8)
Comment 7 Jean-Baptiste Faure 2015-12-17 05:57:32 UTC
(In reply to Denis from comment #6)
> To reproduce the bug open " Yet another sample for testing." from bug
> attachments.
> You can see that "A" column is freezed and column "B" is not visible. Scroll
> sheet left so the "B" column be visible. Select "A1" cell. The dropdown menu
> button with down arrow is appeared the right of the "A1" cell in the "B1"
> cell. Follow that button while scrolling sheet right. The button and "B"
> column disappeared replaced by "C" column.
> But expected behavior is the button will not disappear while will be present
> on all columns on right next to the frozen column.
> The bug behavior does not depend on open, save or close file operations.
> LO Version: 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
> Locale: ru-RU (ru.UTF-8)

Ah, ok, I see the problem with this clearer description.
As far as I can remember, this was always the behavior of LO and OOo before LO but can prove that by testing on LO 3.3.
I am tempted to tag this bug report as enhancement. Setting as NEW anyway.

Best regards. JBF
Comment 8 QA Administrators 2017-01-03 19:45:54 UTC Comment hidden (obsolete)
Comment 9 Denis 2017-01-25 11:59:33 UTC
LibreOffice 5.2.2.2
Build ID : 1:5.2.2-0ubuntu2
CPU threads: 2; OS version: Linux 4.8;
Locale: ru-RU (ru_RU.UTF-8); Calc: group

Ubuntu 16.10

There is no any changes in bug behavior.
Comment 10 QA Administrators 2019-04-04 03:04:28 UTC Comment hidden (obsolete)
Comment 11 Denis 2019-04-19 15:04:16 UTC
LibreOffice 6.1.5.2
Build ID : 1:6.1.5-0ubuntu0.18.10.1

There is no any changes in the bug behavior.
Comment 12 QA Administrators 2021-04-19 03:39:47 UTC
Dear Denis,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug